clang 8.0.0

Public Member Functions | Static Public Member Functions | Friends | List of all members
OMPNumTeamsClause Class Reference

This represents 'num_teams' clause in the '#pragma omp ...' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPNumTeamsClause:
[legend]
Collaboration diagram for OMPNumTeamsClause:
[legend]

## Public Member Functions
| OMPNumTeamsClause (Expr *E, Stmt *HelperE, OpenMPDirectiveKind CaptureRegion, SourceLocation StartLoc, SourceLocation LParenLoc, SourceLocation EndLoc)
| Build 'num_teams' clause. More...
| OMPNumTeamsClause ()
| Build an empty clause. More...
void | setLParenLoc (SourceLocation Loc)
| Sets the location of '('. More...
SourceLocation | getLParenLoc () const
| Returns the location of '('. More...
Expr * | getNumTeams ()
| Return NumTeams number. More...
Expr * | getNumTeams () const
| Return NumTeams number. More...
child_range | children ()

## Static Public Member Functions
static bool | classof (const OMPClause *T)

## Friends
class | OMPClauseReader

## Detailed Description

This represents 'num_teams' clause in the '#pragma omp ...' directive.

#pragma omp teams num_teams(n)

In this example directive '#pragma omp teams' has clause 'num_teams' with single expression 'n'.

Definition at line 4278 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPNumTeamsClause() [1/2]

OMPNumTeamsClause::OMPNumTeamsClause | ( | Expr * | E,
|  | Stmt * | HelperE,
|  | OpenMPDirectiveKind | CaptureRegion,
|  | SourceLocation | StartLoc,
|  | SourceLocation | LParenLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Build 'num_teams' clause.

Parameters

  E | Expression associated with this clause.
  HelperE | Helper Expression associated with this clause.
  CaptureRegion | Innermost OpenMP region where expressions in this clause must be captured.
  StartLoc | Starting location of the clause.
  LParenLoc | Location of '('.
  EndLoc | Ending location of the clause.

Definition at line 4302 of file OpenMPClause.h.

## ◆ OMPNumTeamsClause() [2/2]

OMPNumTeamsClause::OMPNumTeamsClause | ( |  | ) |
| inline

Build an empty clause.

Definition at line 4311 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children()

child_range OMPNumTeamsClause::children | ( |  | ) |
| inline

Definition at line 4327 of file OpenMPClause.h.

## ◆ classof()

static bool OMPNumTeamsClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 4329 of file OpenMPClause.h.

## ◆ getLParenLoc()

SourceLocation OMPNumTeamsClause::getLParenLoc | ( |  | ) | const
| inline

Returns the location of '('.

Definition at line 4319 of file OpenMPClause.h.

Referenced by clang::TreeTransform< Derived >::TransformOMPExecutableDirective(), and clang::OMPClauseWriter::VisitOMPClauseWithPostUpdate().

## ◆ getNumTeams() [1/2]

Expr* OMPNumTeamsClause::getNumTeams | ( |  | ) |
| inline

Return NumTeams number.

Definition at line 4322 of file OpenMPClause.h.

Referenced by OMPIsDevicePtrClause::CreateEmpty(), clang::TreeTransform< Derived >::TransformOMPExecutableDirective(), and clang::OMPClauseWriter::VisitOMPClauseWithPostUpdate().

## ◆ getNumTeams() [2/2]

Expr* OMPNumTeamsClause::getNumTeams | ( |  | ) | const
| inline

Return NumTeams number.

Definition at line 4325 of file OpenMPClause.h.

## ◆ setLParenLoc()

void OMPNumTeamsClause::setLParenLoc | ( | SourceLocation | Loc | ) |
| inline

Sets the location of '('.

Definition at line 4316 of file OpenMPClause.h.

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 4279 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h